##########################################################################
# Script to Test Vector Features
# Date: 4/12/2016
# Author: Jim Graham
##########################################################################
from BlueSprayPy import *

# Project a geographic coordinate (WGS 84) to GoogleMaps

TheInputLayer=STBlueSpray.LoadFromFile("C:/Temp/ne_110m_admin_0_countries.shp")

TheOutputLayer=BlueSpray.Scene.STLayerVectorPyramid()

BlueSpray.VectorPyramid.STToVectorPyramid.ToPyramid(TheInputLayer.TheObject,True,TheOutputLayer)

TheFileHander=BlueSpray.FileHandlers.STFileCanvasMapFolder()

TheFileHander.SetPath("C:/Temp/Tiles/")

TheFileHander.SaveToFile(TheOutputLayer)


